---
title: SVGTests
slug: Web/API/SVGTests
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGTests</code></strong> interface is used to reflect conditional processing attributes and is mixed into other interfaces for elements that support these attributes.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("SVGTests.requiredFeatures")}} {{ReadOnlyInline}} {{obsolete_inline()}}</dt>
 <dd>An {{domxref("SVGStringList")}} corresponding to the {{SVGAttr("requiredFeatures")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGTests.requiredExtensions")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGStringList")}} corresponding to the {{SVGAttr("requiredExtensions")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGTests.systemLanguage")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGStringList")}} corresponding to the {{SVGAttr("systemLanguage")}} attribute of the given element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("SVGTests.hasExtension()")}} {{ReadOnlyInline}} {{obsolete_inline()}}</dt>
 <dd>Returns <code>true</code> if the browser supports the given extension, specified by a URI.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "types.html#InterfaceSVGTests", "SVGTests")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Removed <code>requiredFeatures</code> property and <code>hasExtension()</code> method.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "types.html#InterfaceSVGTests", "SVGTests")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGTests")}}</p>
